=== debian/changelog ===
golang-github-appleboy-easyssh-proxy (1.5.0-3) unstable; urgency=medium

  * Fix reproducible builds (Closes: #1121795)
  * Switch debian/watch to uscan version 5

 -- Jason Frans Kregting <jasonkregting@gmail.com>  Mon, 09 Feb 2026 20:57:42 +1030

golang-github-appleboy-easyssh-proxy (1.5.0-2) unstable; urgency=medium

  [ Jason Frans Kregting ]
  * Add ca-certificates to autopkgtest for Go module download
  * Ignore deluser failure in autopkgtest for test user cleanup

  [ Otto Kekäläinen ]
  * Mark autopkgtest as 'needs-internet'
  * Drop redundant `Priority: optional`
  * Update Debian copyright for 2026
  * Bump Debian Policy version

 -- Otto Kekäläinen <otto@debian.org>  Sun, 25 Jan 2026 18:09:22 +0000

golang-github-appleboy-easyssh-proxy (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1107487)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 05 Jun 2025 10:57:28 +0000
