=== debian/control ===
Source: golang-github-appleboy-easyssh-proxy
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-scaleft-sshkeys-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-appleboy-easyssh-proxy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-appleboy-easyssh-proxy.git
Homepage: https://github.com/appleboy/easyssh-proxy
XS-Go-Import-Path: github.com/appleboy/easyssh-proxy

Package: golang-github-appleboy-easyssh-proxy-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-scaleft-sshkeys-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Provides a simple implementation of some SSH protocol features in Go (library)
 This library supports using a user's private key from a string or a file path,
 TCP connection timeout, and SSH ProxyCommand to connect through a jumphost.
 It can be used to run remote commands, stream command output, and copy files
 using SCP.
