=== debian/tests/control ===
Tests:
 integration-tests,
Depends:
 ca-certificates,
 golang-any,
 openssh-server,
 @,
Restrictions:
 needs-internet,
 needs-root,
